﻿using System;
using System.IO.Ports;

namespace SimpleKeyboard
{
	class Program
	{
		private static SerialPort SerialPort;

		static void Main( string[] args )
		{
			// Note: you will probably need to change "COM8" to your serial port:
										//portName, baud, parity, data bits, stop bit
			SerialPort = new SerialPort( "COM8", 9600, Parity.None, 8, StopBits.One );
			
			// Attach a method to be called when there
			//		is data waiting in the port's buffer
			if ( SerialPort != null )
			{
				SerialPort.DataReceived += new
				  SerialDataReceivedEventHandler( DataReceived );

				// Begin communications
				SerialPort.Open();
			}
			
			// Now that the serial port is open, listen for keystrokes
			//		and send them to the Arduino
			Console.WriteLine( "Press ESC to stop" );

			ConsoleKey Key = ConsoleKey.Enter;
			while ( !Console.KeyAvailable && Key != ConsoleKey.Escape )
			{
				Key = Console.ReadKey().Key;
				SerialPort.Write( Key.ToString() );
			}

		} // Main


		/// <summary>
		/// Set this to your listener in case you want to receive data from
		///		the Arduino.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private static void DataReceived( object sender, SerialDataReceivedEventArgs e )
		{
			// Show all the incoming data in the port's buffer
			Console.WriteLine( SerialPort.ReadExisting() );

		} // DataReceived

	} // class

} // namespace
